## ibm-3270 3.3.7p7

=== wc3270/Makefile ===
# Copyright 2007 by Paul Mattes.
#  Permission to use, copy, modify, and distribute this software and its
#  documentation for any purpose and without fee is hereby granted,
#  provided that the above copyright notice appear in all copies and that
#  both that copyright notice and this permission notice appear in
#  supporting documentation.
#
# wc3270 is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the file LICENSE for more details.

# Makefile for wc3270

# Figure out if they've installed MinGW OpenSSL.
SSLDIR = /usr/local/mingw-openssl
HAVE_OPENSSL = $(shell [ -d $(SSLDIR) ] && echo yes)
ifeq ($(HAVE_OPENSSL),yes)
SSLCPP = -DHAVE_LIBSSL=1 -I$(SSLDIR)/include
SSLLIB = -L$(SSLDIR)/lib -lssl -lcrypto -lwsock32 -ladvapi32 -lgdi32 -luser32
endif

# Set command paths and mkfb (which has to run locally) based on whether
# compiling natively on Cygwin, or cross-compiling on Linux.
ifeq ($(CROSS),1)
MKFB = mkfb
CC = mingw32-gcc
NATIVECC = gcc
WINDRES = mingw32-windres
else
MKFB = mkfb.exe
CC = gcc
NATIVECC = gcc
WINDRES = windres
endif

XCPPFLAGS = -D_WIN32 -DWC3270 -D_WIN32_WINNT=0x0500
CFLAGS = $(EXTRA_FLAGS) -mno-cygwin -g -Wall -Werror $(XCPPFLAGS) -I. $(SSLCPP)
SRCS = XtGlue.c actions.c ansi.c apl.c c3270.c charset.c ctlr.c \
	ft.c ft_cut.c ft_dft.c glue.c help.c host.c icmd.c idle.c kybd.c \
	macros.c print.c printer.c proxy.c resources.c rpq.c screen.c see.c \
	sf.c tables.c telnet.c toggles.c trace_ds.c utf8.c util.c \
	xio.c fallbacks.c keymap.c w3misc.c winvers.c windirs.c resolver.c
VOBJS = XtGlue.o actions.o ansi.o apl.o c3270.o charset.o ctlr.o \
	fallbacks.o ft.o ft_cut.o ft_dft.o glue.o help.o host.o icmd.o idle.o \
	keymap.o kybd.o macros.o print.o printer.o proxy.o resolver.o \
	resources.o rpq.o screen.o see.o sf.o tables.o telnet.o toggles.o \
	trace_ds.o utf8.o util.o xio.o w3misc.c winvers.o windirs.o wc3270res.o
OBJECTS = $(VOBJS) version.o
LIBS = $(SSLLIB) -lws2_32
SHRTLIBS = -lole32 -luuid
WIZLIBS = -lole32 -luuid -lwinspool
DLLFLAGS = $(EXTRA_FLAGS) -mno-cygwin -shared -Wl,--export-all-symbols -Wl,--enable-auto-import

PROGS = wc3270.exe mkshort.exe wc3270wiz.exe catf.exe w3n4.dll w3n46.dll
all: $(PROGS)

version.o: $(VOBJS) version.txt mkversion.sh Makefile
	@chmod +x mkversion.sh version.txt
	sh ./mkversion.sh $(CC) wc3270

fallbacks.c: $(MKFB) X3270.xad Makefile
	$(RM) $@
	./$(MKFB) -c X3270.xad $@

$(MKFB): mkfb.c Makefile
	$(NATIVECC) -g -o $(MKFB) -D_WIN32 mkfb.c

wc3270res.o: wc3270.rc x3270-icon2.ico Makefile
	$(WINDRES) -i wc3270.rc -o wc3270res.o

wc3270.exe: $(OBJECTS) Makefile
	$(CC) -o wc3270.exe $(CFLAGS) $(OBJECTS) $(LIBS)

mkshort.exe: mkshort.o shortcut.o winvers.o Makefile
	$(CC) -o mkshort.exe $(CFLAGS) \
		mkshort.o shortcut.o winvers.o $(SHRTLIBS)

wversion.o: version.txt mkwversion.sh
	@chmod +x mkwversion.sh version.txt
	sh ./mkwversion.sh $(CC)

wc3270wiz.exe: wizard.o wc3270res.o wversion.o shortcut.o winvers.o windirs.o
	$(CC) -o wc3270wiz.exe $(CFLAGS) \
		wizard.o wc3270res.o wversion.o shortcut.o winvers.o \
		windirs.o $(WIZLIBS)

catf.exe: catf.c
	$(CC) -o catf.exe $(CFLAGS) catf.c

w3n4.dll: w3n4.o w3misc.o
	$(CC) $(DLLFLAGS) -o w3n4.dll w3n4.o -lws2_32

w3n46.dll: w3n46.o w3misc.o
	$(CC) $(DLLFLAGS) -o w3n46.dll w3n46.o -lws2_32

w3n4.o: resolver.c
	$(CC) $(CFLAGS) -DW3N4 -c -o w3n4.o resolver.c

w3n46.o: resolver.c
	$(CC) $(CFLAGS) -DW3N46 -c -o w3n46.o resolver.c

clean:
	rm -f *.o mkfb mkfb.exe fallbacks.c

clobber: clean
	rm -f $(PROGS)

depend:
	gccmakedep -fMakefile $(XCPPFLAGS) -s "# DO NOT DELETE" $(SRCS)

# -------------------------------------------------------------------------
# dependencies generated by makedepend

# DO NOT DELETE

=== wpr3287/Makefile ===
# Copyright 2007 by Paul Mattes.
#  Permission to use, copy, modify, and distribute this software and its
#  documentation for any purpose and without fee is hereby granted,
#  provided that the above copyright notice appear in all copies and that
#  both that copyright notice and this permission notice appear in
#  supporting documentation.
#
# wpr3287 is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the file LICENSE for more details.

# Makefile for wpr3287

# Figure out if they've installed MinGW OpenSSL.
SSLDIR = /usr/local/mingw-openssl
HAVE_OPENSSL = $(shell [ -d $(SSLDIR) ] && echo yes)
ifeq ($(HAVE_OPENSSL),yes)
SSLCPP = -DHAVE_LIBSSL=1 -I$(SSLDIR)/include
SSLLIB = -L$(SSLDIR)/lib -lssl -lcrypto -lwsock32 -ladvapi32 -lgdi32 -luser32
endif

# Set command paths based on whether compiling natively on Cygwin, or
# cross-compiling on Linux.
ifeq ($(CROSS),1)
CC = mingw32-gcc
WINDRES = mingw32-windres
else
CC = gcc
WINDRES = windres
endif

XCPPFLAGS = -D_WIN32 -DPR3287 -DWPR3287
CFLAGS = -mno-cygwin -g -Wall -Werror $(XCPPFLAGS) -I. $(SSLCPP)
SRCS = charset.c ctlr.c pr3287.c proxy.c resolver.c see.c sf.c tables.c \
	telnet.c trace_ds.c utf8.c w3misc.c windirs.c winvers.c
VOBJS = charset.o ctlr.o pr3287.o proxy.o resolver.o see.o sf.o tables.o \
	telnet.o trace_ds.o utf8.o wpr3287res.o ws.o w3misc.o windirs.o \
	winvers.o
OBJECTS = $(VOBJS) version.o
LIBS = $(SSLLIB) -lws2_32 -lwinspool

all: wpr3287.exe

version.o: $(VOBJS) version.txt mkversion.sh
	@chmod +x mkversion.sh version.txt
	sh ./mkversion.sh $(CC) wpr3287

wpr3287res.o: wpr3287.rc pr3287.ico
	$(WINDRES) -i wpr3287.rc -o wpr3287res.o

wpr3287.exe: $(OBJECTS)
	$(CC) -o wpr3287.exe $(CFLAGS) $(OBJECTS) $(LIBS)

clean:
	rm -f *.o

clobber: clean
	rm -f wpr3287.exe

depend:
	gccmakedep -fMakefile $(XCPPFLAGS) -s "# DO NOT DELETE" $(SRCS)

# -------------------------------------------------------------------------
# dependencies generated by makedepend

# DO NOT DELETE

## ibm-3270 3.3.7p7-1-maemo1

=== debian/changelog ===
ibm-3270 (3.3.7p7-1-maemo1) unstable; urgency=low
  * Adjust for maemo

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 21 Sep 2010 14:21:00 +0200

ibm-3270 (3.3.7p7-1) unstable; urgency=low

  * New upstream version.
  * Really fix build dependency. (closes: #489339)
  * Install documentation.
  * Fix menu entries.
  * Fix permission of icu converters.

 -- Bastian Blank <waldi@debian.org>  Sat, 05 Jul 2008 12:21:25 +0200

ibm-3270 (3.3.7p5-2) unstable; urgency=low

  * Build depend against xutils-dev.

 -- Bastian Blank <waldi@debian.org>  Fri, 04 Jul 2008 16:58:53 +0200

ibm-3270 (3.3.7p5-1) unstable; urgency=low

  * New upstream version.
  * Mark package as autobuildable.
  * Make files in orig tar executable again.
    - Fix app-defaults generation. (closes: #480788)
  * Fix font installation. (closes: #362404)

 -- Bastian Blank <waldi@debian.org>  Tue, 20 May 2008 08:15:32 +0200

ibm-3270 (3.3.7p2-1) unstable; urgency=low

  * New upstream version.
  * Again move to non-free. (closes: #388691)
  * Update Standards-Version to 3.7.3. No changes.

 -- Bastian Blank <waldi@debian.org>  Sat, 15 Mar 2008 15:54:47 +0100

ibm-3270 (3.3.4p6-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Put xfonts-x3270-misc's fonts in /usr/share/fonts/X11/misc/, not
    /usr/share/fonts/X11/fonts/misc/ (References: #362404).
  * Fix path to x3270.1x

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat,  3 Jun 2006 19:18:41 +0200

ibm-3270 (3.3.4p6-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change X11 paths in:
      + configure
      + debian/rules
      + debian/xfonts-x3270-misc.install
      + debian/xfonts-x3270-misc.postrm
      + debian/xfonts-x3270-misc.postinst
  * Add Build-Depends on xbitmap (Closes: #367830)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Wed, 31 May 2006 12:23:59 +0200

ibm-3270 (3.3.4p6-3) unstable; urgency=low

  * Use libxaw7.

 -- Bastian Blank <waldi@debian.org>  Mon, 27 Mar 2006 19:37:02 +0200

ibm-3270 (3.3.4p6-2) unstable; urgency=low

  * Fix build dependencies. (closes: #353708)

 -- Bastian Blank <waldi@debian.org>  Tue, 21 Feb 2006 09:14:35 +0100

ibm-3270 (3.3.4p6-1) unstable; urgency=low

  * Reintroduce into main.
  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Mon, 13 Feb 2006 10:47:59 +0100

3270 (3.2.17-2) unstable; urgency=high

  * urgency=high because of missing build dependancies, I'd like to
    get this run through - 3.1.1.9 is *so* old.

  * Upstream patches
    - Crash in Keymap Display
    - pr3287 Just Prints Blanks
    - NULLs Selected Incorrectly
    - Missing Definitions for Ctrl-U and Ctrl-W
  * Policy Standards-Version 3.5.6.0 compliant
  * Build depends on libncurses5-dev (for c3270)            closes: #113659
  * Correct docbase                                         closes: #122811
  * Close some ancient, no longer applicable bugs
    - x3270-htmldoc /usr/doc usage                          closes: #91690

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Wed, 12 Dec 2001 15:00:00 -0500

3270 (3.2.17-1) unstable; urgency=high

  * New upstream version
  * Correct minor upstream flaws (and then use upstream patches)
  * Redo packaging
  * include whole enchilada {x,c,s,tcl}3270, and pr3287
  * split into a plethora of components:
    {x,c,s,tcl}3270, pr3287, xfonts-x3270-misc, 3270-common
  * html docs *not yet done*
  * Bug cleanup
    closes: #22468, #37855, #38425, #91694

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Thu, 28 Jun 2001 15:00:00 -0500

x3270 (3.2.15-0) private; urgency=low

  * New maintainer
  * New upstream version
  * Convert to debhelper V2 & DBS

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Tue, 26 Dec 2000 20:00:00 -0500

x3270 (3.1.1.9-3) unstable; urgency=low

  * Reverted macro.c to version from 3.1.1.7 so that String() action works 
    in login actions again.  (Bug #37855)

 -- Carey W. Evans <carey@debian.org>  Wed, 19 May 1999 21:10:04 +1200

x3270 (3.1.1.9-2) unstable; urgency=low

  * Added fix for bug in x3270-htmldoc 3.1.1.7-8's doc-base support.
  * Removed x3270-htmldoc menu, since doc-base handles dwww.

 -- Carey W. Evans <carey@debian.org>  Mon, 17 May 1999 21:41:15 +1200

x3270 (3.1.1.9-1) unstable; urgency=low

  * New upstream version.
  * Updated 5250 key mapping with my keymap from the previous version.
  * Changed to debhelper.

 -- Carey W. Evans <carey@debian.org>  Thu, 13 May 1999 22:40:18 +1200

x3270 (3.1.1.7-8) unstable; urgency=low

  * Add doc-base support.
  * Moved Attn key option to immediately follow other toggles.
  * Put correct path to ibm_hosts file in ibm_hosts.5 man page.
  * Updated COPYRIGHTS section of the man page, and text in `copyright'
    file.

 -- Carey W. Evans <carey@debian.org>  Thu, 28 Jan 1999 22:59:32 +1300

x3270 (3.1.1.7-7) unstable; urgency=low

  * Added option to change Attn key to send Interrupt() action from
    3.1.1.7-5, and documented it.
  * Updated menu descriptions with new description added to debian/control
    in 3.1.1.7-5, and removed icon="none" entries.

 -- Carey W. Evans <carey@debian.org>  Sat, 29 Aug 1998 16:19:13 +1200

x3270 (3.1.1.7-6) unstable; urgency=low

  * Don't define sys_errlist at all on Linux, so libc5 compilation should
    still work.
  * Added README.debian about the changes I've made.
  * Added Beat Rubischon to copyrights in "About x3270" dialog.

 -- Carey W. Evans <carey@debian.org>  Wed, 12 Aug 1998 21:23:05 +1200

x3270 (3.1.1.7-5) unstable; urgency=low

  * Added postrm to x3270-htmldoc to call update-menus.  (lintian)
  * Changed x3270-htmldoc index.html -> README.html link to
    index.html.gz -> README.html.gz.
  * Added Interrupt() action to send IAC IP, for real System Request on
    AS/400.
  * Added extra bindings to the 5250 keymap in X3270.xad.
  * Changed to not install app-defaults/X3270, since it's compiled into
    the program.  The provided file is installed with the examples.
  * Updated package description to mention the AS/400.



=== debian/control ===
Source: ibm-3270
Section: user/net
Priority: optional
Maintainer: Bastian Blank <waldi@debian.org>
Standards-Version: 3.7.3
Build-Depends: debhelper (>> 4.0.0), autotools-dev, libncursesw5-dev, libicu-dev, libssl-dev, libxaw7-dev, libxt-dev, quilt, xbitmaps, xfonts-utils, xutils-dev
XS-Autobuild: yes

Package: x3270
Architecture: any
Depends: ${shlibs:Depends}, 3270-common (= ${binary:Version}), xfonts-x3270-misc
Description: X11 program for telnet sessions to IBM mainframes
 x3270 opens a telnet connection to an IBM mainframe host in an X11
 window.  It can also connect to an IBM AS/400 as a 5250 terminal
 using the AS/400's 3270 emulation.  The window created by x3270 can
 use its own font for displaying characters, so it is a fairly
 accurate representation of an IBM 3278 or 3279.
 .
 x3270 is similar to tn3270(1) and c3270(1) except that it is X-based,
 not curses-based.
 .
 x3270 implements RFCs 2355 (TN3270E), 1576 (TN3270),
 and 1646 (LU name selection), and supports IND$FILE file transfer.
 .
 You will need to install x3270-fonts locally, or on your font-server -
 they are required.

Package: c3270
Architecture: any
Depends: ${shlibs:Depends}, 3270-common (= ${binary:Version})
Description: Curses program for telnet sessions to IBM mainframes
 c3270 opens a telnet connection to an IBM mainframe host in an Xterm
 window or Virtual Console.  It can also connect to an IBM AS/400 as 
 a 5250 terminal using the AS/400's 3270 emulation.
 .
 c3270 is similar to tn3270(1), and x3270(1) except that it is curses-based,
 not X-based.
 .
 c3270 implements RFCs 2355 (TN3270E), 1576 (TN3270),
 and 1646 (LU name selection), and supports IND$FILE file transfer.

Package: pr3287
Architecture: any
Depends: ${shlibs:Depends}, 3270-common (= ${binary:Version})
Description: IBM 3287 printer emulation for telnet sessions to IBM mainframes
 pr3287 opens a telnet connection to an IBM mainframe host and emulates an
 IBM 3287 printer.
 .
 pr3278 implements RFCs 2355 (TN3270E), 1576 (TN3270),
 and 1646 (LU name selection).

Package: s3270
Architecture: any
Depends: ${shlibs:Depends}, 3270-common (= ${binary:Version})
Description: Program for scripted telnet sessions to IBM mainframes
 s3270 opens a telnet connection to an IBM mainframe host, then allows a 
 script to control the host login session.
 .
 s3270 implements RFCs 2355 (TN3270E), 1576 (TN3270),
 and 1646 (LU name selection), and supports IND$FILE file transfer.

Package: tcl3270
Architecture: none
Depends: ${shlibs:Depends}, 3270-common (= ${binary:Version})
Description: Program for scripted telnet sessions to IBM mainframes.
 tcl3270 opens a telnet connection to an IBM mainframe host, then allows a
 tcl script to control the host login session.
 .
 tcl3270 implements  RFCs 2355 (TN3270E), 1576 (TN3270),
 and 1646 (LU name selection), and supports IND$FILE file transfer.
 .
 tcl3270 serves the same function as s3270(1), but is easier to setup and use.

Package: 3270-common
Architecture: any
Depends: ${shlibs:Depends}
Description: Common files for IBM 3270 emulators and pr3287
 3270-common contains files referenced in other 3270 packages

Package: xfonts-x3270-misc
Architecture: all
Section: x11
Depends: ${misc:Depends}
Description: Font files for the x3270(1) IBM 3270 emulator
 x3270-fonts provides only the fonts required for x3270 operation, so that
 the fonts may be installed separately on a font-server.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

SOURCE := $(shell dpkg-parsechangelog | sed -ne 's,^Source: *\(.*\)$$,\1,p')
VERSION_DEBIAN := $(shell dpkg-parsechangelog | sed -ne 's,^Version: *\(.*\)$$,\1,p')
VERSION := $(shell echo "$(VERSION_DEBIAN)" | sed -e 's,-[^-]*$$,,')

BUILD_DIR = debian/build
STAMPS_DIR = debian/stamps

PARTS = c3270 s3270 pr3287 x3270

source: $(STAMPS_DIR)/source

$(STAMPS_DIR)/source: SOURCE_FILES = $(filter-out debian, $(wildcard * .[^.]*))
$(STAMPS_DIR)/source: DIR = $(BUILD_DIR)/source
$(STAMPS_DIR)/source:
	@[ -d $(BUILD_DIR) ] || mkdir -p $(BUILD_DIR)
	@[ -d $(STAMPS_DIR) ] || mkdir -p $(STAMPS_DIR)
	@rm -rf $(DIR)
	mkdir $(DIR)
	cp -a $(SOURCE_FILES) $(DIR)
	cd $(DIR); QUILT_PATCHES=$(CURDIR)/debian/patches quilt --quiltrc /dev/null push -a || test $$? = 2
	touch $@

setup: $(STAMPS_DIR)/setup

$(STAMPS_DIR)/setup: $(addprefix $(STAMPS_DIR)/setup_,$(PARTS))

$(STAMPS_DIR)/setup_%: SOURCE_DIR = $(BUILD_DIR)/source
$(STAMPS_DIR)/setup_%: DIR = $(BUILD_DIR)/build_$*
$(STAMPS_DIR)/setup_%: $(STAMPS_DIR)/source
	@rm -rf $(DIR)
	cp -a $(SOURCE_DIR)/$* $(DIR)
	rm -f $(DIR)/config.guess $(DIR)/config.sub
	cp -a /usr/share/misc/config.guess /usr/share/misc/config.sub $(DIR)
	cd $(DIR); \
	CFLAGS="$(CFLAGS)" \
	sh ./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--bindir=/opt/bin \
		--sbindir=/opt/sbin \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--sysconfdir=/etc \
		--enable-app-defaults \
		--with-fontdir=/usr/share/fonts/X11/misc
	touch $@

build: $(STAMPS_DIR)/build

$(STAMPS_DIR)/build: $(addprefix $(STAMPS_DIR)/build_,$(PARTS))

$(STAMPS_DIR)/build_%: DIR = $(BUILD_DIR)/build_$*
$(STAMPS_DIR)/build_%: $(STAMPS_DIR)/setup_%
	dh_testdir
	$(MAKE) -C $(DIR)
	touch $@

maintainerclean:
	rm -rf $(filter-out .svn debian, $(wildcard * .[^.]*))

clean:
	dh_testdir
	rm -rf $(BUILD_DIR) $(STAMPS_DIR)
	dh_clean

NO_ORIG = .svn .svk debian scripts

DIR_ORIG = ../orig/$(SOURCE)-$(VERSION)
TAR_ORIG_NAME = $(SOURCE)_$(VERSION).orig.tar.gz
TAR_ORIG = $(firstword $(wildcard ../$(TAR_ORIG_NAME)) $(wildcard ../orig/$(TAR_ORIG_NAME)))

orig: $(DIR_ORIG)
	rsync --delete $(foreach t, $(NO_ORIG), --exclude $(t)) --link-dest=$(DIR_ORIG)/ -a $(DIR_ORIG)/ .

$(DIR_ORIG):
ifeq ($(TAR_ORIG),)
	$(error Cannot find orig tarball $(TAR_ORIG_NAME))
else
	mkdir -p ../orig
	tar -C ../orig -xzf $(TAR_ORIG)
endif

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(foreach t, $(PARTS), $(MAKE) -C debian/build/build_$(t) install install.man DESTDIR=$(CURDIR)/debian/tmp;)

	dh_install --sourcedir=debian/tmp

	chmod 644 debian/3270-common/etc/3270/*.cnv

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installxfonts -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -s
	dh_installdocs -s
	dh_installexamples -s
	dh_installman -s
	dh_installmenu -s
	dh_link -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install #PHONY_CONFIGURE#
